from decouple import config


class Settings:
    PROJECT_NAME: str = "Small Business Inventory Management System"
    PROJECT_VERSION: str = "1.0.0"

    SECRET_KEY: str = config(
        "SECRET_KEY", default="your-secret-key-change-this-in-production"
    )
    ALGORITHM: str = "HS256"
    ACCESS_TOKEN_EXPIRE_MINUTES: int = 30

    # Admin user
    FIRST_SUPERUSER_EMAIL: str = config(
        "FIRST_SUPERUSER_EMAIL", default="admin@inventory.com"
    )
    FIRST_SUPERUSER_PASSWORD: str = config(
        "FIRST_SUPERUSER_PASSWORD", default="admin123"
    )

    # CORS
    BACKEND_CORS_ORIGINS: list = ["*"]


settings = Settings()
